# binaries with extra debug info
%bcond_with     debug

Summary:        The MariaDB Native Client library (ODBC driver)
Name:           mariadb-connector-odbc
Version:        3.1.15
Release:        3%{?with_debug:.debug}%{?dist}
License:        LGPLv2+
Url:            https://mariadb.org/en/
Source:         https://downloads.mariadb.org/f/connector-odbc-%{version}/%{name}-%{version}-src.tar.gz
Patch3000:      libraries_include_path.patch

BuildRequires:  cmake unixODBC-devel gcc-c++
BuildRequires:  mariadb-connector-c-devel >= 3.2.5

%description
This package provides a standardized, LGPL licensed database driver using the industry standard 
Open Database Connectivity (ODBC) API. It supports ODBC Standard 3.5 as well as Unicode and ANSI 
and can be used as a alternative to MySQL Connector/ODBC.

%prep
%autosetup -p1 -n %{name}-%{version}-src

%build
%cmake \
       -DCMAKE_BUILD_TYPE="%{?with_debug:Debug}%{!?with_debug:RelWithDebInfo}" \
       -DMARIADB_LINK_DYNAMIC="%{_libdir}/libmariadb.so" \
       -DINSTALL_LAYOUT=RPM \
       -DINSTALL_LIBDIR="%{_lib}" \
       -DINSTALL_LIB_SUFFIX="%{_lib}" \
       -DINSTALL_DOCDIR="%{_defaultdocdir}/%{name}" \
       -DINSTALL_LICENSEDIR="%{_defaultlicensedir}/%{name}" \

# Override all optimization flags when making a debug build
%if %{with debug}
export CFLAGS="$CFLAGS     -O0 -g"; 
export CXXFLAGS="$CXXFLAGS -O0 -g"; 
export FFLAGS="$FFLAGS     -O0 -g"; 
export FCFLAGS="$FCFLAGS   -O0 -g"; 
%endif

%cmake_build

%install
%cmake_install

%files
%license COPYING
%doc     README
%{_libdir}/libmaodbc.so
%{_libdir}/pkgconfig/libmaodbc.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.15-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.15-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 15 2022 Wang Guodong <gordonwwang@tencent.com> - 3.1.15-1
- package init.
